<html>

<head>
  <link rel="stylesheet" href="style.css">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
    crossorigin="anonymous"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>

</head>

<body onload="load()">


  <div class="mainContainer">
    <div class="div1">
      <div id="myDIV" class="header"> 
        <div class="text">
          <h2>To Do List</h2>
        </div>
        <div class="sub_header">

          <input type="text" id="myInput" class="myInput" onfocus="this.value=''" placeholder="Task...">
          <button onclick="insert()"  class="addBtn">Add</button>
          <button onclick="clear_all()" class="addBtn">Clear</button>
        </div>
      </div>
    </div>


    <div class="display_container" id="display_container">
      <div id="displayList" >



      </div>
    </div>

    <script>
      //--------------------------------------------------
      // id = Date.now();

      // function insert() {

      //   var inputValue = document.getElementById("myInput").value;


      //   if (inputValue === '') {
      //     alert("You must write something!");
      //   } else {

      //     if (typeof localStorage["tasks"] == 'undefined') {
      //       // alert("kkk");
      //       var task_arr = [];
      //       var task = {
      //         'id': id,
      //         'task': inputValue,
      //       };
      //       task_arr.push(task);
      //       localStorage.setItem("tasks", JSON.stringify(task_arr));
      //       self.location.reload();
      //       // load(); 
      //     } else {
      //       var store = JSON.parse(localStorage.getItem("tasks"));

      //       var task = {
      //         'id': id,
      //         'task': inputValue,
      //       };
      //       store.push(task)
      //       localStorage.setItem("tasks", JSON.stringify(store));
      //       id = id + 1;

      //       // window.onload = loadCurrent();
      //       self.location.reload();
      //       // load(); 

      //     }
      //     // alert( localStorage.getItem("tasks"));
      //   }

      // }

      // function window_load() {
      //   load();

      // }


      // function load() {
      //   // localStorage.clear();
      //   // self.location.reload();
      //   data = localStorage.getItem("tasks");
      //   data = JSON.parse(data);

      //   let tasksItems = data.map(element => {
      //     return element.task
      //   });
      //   let tasksId = data.map(element => {
      //     return element.id
      //   });

      //   // console.log(tasksItems);

      //   for (var i = 0; i < tasksId.length; i++) {
      //     var a = tasksItems[i];
      //     var id = tasksId[i];

      //     var container = document.createElement('div')
      //     container.classList.add("container");
      //     container.setAttribute("id", id);


      //     var checkbox_div = document.createElement('div');
      //     checkbox_div.classList.add("checkbox_div");
      //     let input = document.createElement("input"); //create new input element
      //     input.type = "checkbox"
      //     input.setAttribute("id", "check-" + id);

      //     input.addEventListener('change', fx);

      //     checkbox_div.appendChild(input);
      //     container.appendChild(checkbox_div);




      //     var task_name_div = document.createElement('div');
      //     var t = parseInt(id)
      //     t = t + 100;


      //     task_name_div.setAttribute("id", (t));
      //     task_name_div.classList.add("task_name_div");
      //     var t = document.createTextNode(a);

      //     task_name_div.addEventListener("click", edit_task);
      //     task_name_div.appendChild(t);
      //     container.appendChild(task_name_div);



      //     var close_button_div = document.createElement('div');



      //     let newButton = document.createElement("button"); //create new button
      //     newButton.classList.add("delete_button");
      //     newButton.setAttribute("id", "del-" + id);
      //     let buttonText = document.createTextNode("\u00D7");

      //     newButton.appendChild(buttonText);
      //     close_button_div.appendChild(newButton);
      //     newButton.addEventListener("click", removeButton);

      //     container.appendChild(close_button_div);
      //     document.getElementById("displayList").appendChild(container);
      //   }
      // }

      // function fx(e) {
      //   let ButtonId = e.target.id;
      //   let divId = ButtonId.split("-")[1];
      //   var t = parseInt(divId)
      //   t = t + 100;

      //   let checkId = "check-" + divId;

      //   task_name_div = document.getElementById(t);

      //   checkStatus = document.getElementById(checkId);
      //   if (checkStatus.checked) {

      //     task_name_div.classList.add("task_name_div_strike");

      //   } else {
      //     task_name_div.classList.remove("task_name_div_strike");
      //   }
      // }

      // function edit_task(e) {
      //   document.getElementById(e.target.id).contentEditable = true;
      //   // alert(e.target.id)
      //   var input = document.getElementById(e.target.id);

      //   var inputid = parseInt(e.target.id);
      //   inputid = inputid + 100;

      //   input.setAttribute("id", (inputid));
      //   input.addEventListener("keyup", function (event) {

      //     event.preventDefault();
      //     if (event.keyCode === 13) {
      //       editinput((inputid));
      //     }
      //   });

      //   div.appendChild(input);
      //   var item = document.getElementById(e.target.id);
      //   //  document.getElementById((e.target.id+100));
      //   item.replaceChild(div, item.childNodes[0]);



      // }

      // function blurFunction() {
      //   alert("kkk ");
      // }

      // function removeButton(e) {
      //   let ButtonId = e.target.id;
      //   let divId = ButtonId.split("-")[1];
      //   // alert(divId);

      //   let checkId = "check-" + divId;

      //   checkStatus = document.getElementById(checkId);
      //   // alert(divId+"   "+checkId+"  "+checkStatus);

      //   var element = document.getElementById(divId);
      //   if (checkStatus.checked) {

      //     store(element, divId);

      //   } else {
      //     confirmStatus = confirm("activity is not still done. wanna delete? ");
      //     store(element, divId);
      //   }
      // }

      // function clear_all() {
      //   localStorage.clear();
      //   self.location.reload();
      // }

      // function store(element, divId) {
      //   element.remove();

      //   data = localStorage.getItem("tasks");
      //   data = JSON.parse(data);
      //   let tasksId = data.map(element => {
      //     return element.id
      //   });
      //   var store = JSON.parse(localStorage.getItem("tasks"));

      //   for (var i = 0; i < store.length; i++) { //array update
      //     const delId = divId;
      //     if (store[i]["id"] == delId) {
      //       store.splice(i, 1);
      //     }
      //     localStorage.setItem("tasks", JSON.stringify(store));
      //   }
      // }

      // function editinput(id) {
      //   var x = document.getElementById(id).innerText;
      //   // alert(x+"  +"+id);
      //   //  alert(edited_task);
      //   i_id = parseInt(id);
      //   i_id = i_id - 300;

      //   // alert(x+"  +"+i_id);
      //   if (x === '') {
      //     alert("You must write something!");
      //   } else {
      //     data = localStorage.getItem("tasks");
      //     data = JSON.parse(data);
      //     let tasksItems = data.map(element => {
      //       return element.task
      //     });
      //     let tasksId = data.map(element => {
      //       return element.id
      //     });

      //     var store = JSON.parse(localStorage.getItem("tasks"));
      //     var task = {
      //       'id': i_id,
      //       'task': x,
      //     };

      //     for (var i = 0; i < store.length; i++) { //array update
      //       const delId = i_id;
      //       if (store[i]["id"] == delId) {
      //         store.splice(i, 1, task);

      //       }
      //       localStorage.setItem("tasks", JSON.stringify(store));
      //     }

      //     self.location.reload()
      //   }
      // }

      // //--------------------------------------------------
    </script>
    <script src="script.js"></script>

</body>

</html>